<?php

namespace App\Generated\V1\Messages\Pair;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class EnrollNextMessage extends Message
{
    use ValueHelper;

    protected $lastStageId;
    protected $allowPhoto;
    protected $result;

    /**
     * @return int
     */
    public function getLastStageId()
    {
        return $this->lastStageId;
    }

    /**
     * @return int|null
     */
    public function getAllowPhoto()
    {
        return $this->allowPhoto;
    }

    public function requestRules()
    {
        return [
            ['lastStageId', 'last_stage_id', 'bail|integer', Constants::INTEGER, null],
            ['allowPhoto', 'allow_photo', 'bail|nullable|integer', Constants::INTEGER | Constants::OPTIONAL, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
